Get a language using advanced query

post

https://<servername>/api/boss/data/objects/ora/commonAppsInfra/objects/v1/languages/{languages_id}/$query

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Back to Top

Response

Default Response

A single item response
Body ()
Root Schema : languages_item-response
Match All
Show Source
Nested Schema : Language
Type: object
Title: Language
The languages list of values resource is used to query the list of languages.
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : languages_item-response-allOf[2]
Type: object
Show Source
Nested Schema : activationStatus
Match All
The activation status of the language.
Show Source
  • Title: Language Activation Status
    Read Only: true
    The activation status of the language.
  • Allowed Values: [ "ACTIVE", "NONE", "PENDING" ]
Nested Schema : installed
Match All
Indicates if the language is installed.
Show Source
  • Title: Language Installed
    Read Only: true
    Indicates if the language is installed.
  • Allowed Values: [ "I", "B", "D" ]
Nested Schema : $context
Type: object
Show Source
Nested Schema : languages-_translations
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : languages-_translations-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : languages-_translations_item-response
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LanguageTranslation_item
Type: object
The translation of the language list of values resource.
Show Source
Back to Top